Permalink
Browse files

Current stable mongodb version is 3.4

Fix bug that occured when (trying to) modify the _id of object.
Used to give a warning, now gives internal error because the mongodb version is not in the list above.
  • Loading branch information...
1 parent 37f6533 commit 997161e5a8f11b7efa3f92f3df6cd781febfd030 @gmargari gmargari committed on GitHub Dec 19, 2016
Showing with 1 addition and 1 deletion.
  1. +1 −1 eve/io/mongo/mongo.py
@@ -482,7 +482,7 @@ def _change_request(self, resource, id_, changes, original, replace=False):
self.driver.db.client.server_info()['version'][:3]
if (
(server_version == '2.4' and e.code in (13596, 10148)) or
- (server_version in ('2.6', '3.0', '3.2') and
+ (server_version in ('2.6', '3.0', '3.2', '3.4') and
e.code in (66, 16837))
):
# attempt to update an immutable field. this usually

0 comments on commit 997161e

Please sign in to comment.